<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="requestItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idRequestItem" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header *ngIf="!readonly">
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['request-item-popup-new-list', idRequest] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.requestItem.sequence'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.sequence | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.sequence"
                     [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.requestItem.productName'|translate}}" field="productName" [editable]="false">
        </p-column>
        <p-column header="{{'mpmApp.requestItem.description'|translate}}" field="description" [editable]="false">
        </p-column>
        <p-column header="{{'mpmApp.requestItem.qtyReq'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyReq | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requestItem.qtyTransfer'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyTransfer | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requestItem.request'|translate}}" *ngIf="idRequest === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.requestId">
                    <a [routerLink]="['../request', rowData.requestId  ]" >{{rowData.requestId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column *ngIf="!readonly" header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'request-item/'+ rowData.idRequestItem + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idRequestItem)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
